Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Folder

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_Folder

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieFolder

    public class S_Folder

extends S_TiePublicObject

Server side representation of the FOLDER class.

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` the classname of this serverside object: FOLDER
`protected S_LibraryObjectCursor` | `m_Cursor` The opened cursor

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_Folder(S_LibrarySession session, java.lang.Long classId)` Construct a S_Folder object.
`protected` | `S_Folder(S_LibrarySession session, S_LibraryObjectData data)` Construct a S_Folder object.

Method Summary
`void` | `addItem(S_PublicObject ro, S_LibraryObjectDefinition rdef)` Add an item to a Folder.
`protected void` | `addReference(S_PublicObject ro)` Add a reference to a Folder.
`protected void` | `addReference(S_PublicObject ro, S_LibraryObjectDefinition rdef)` Add a reference to a Folder.
`protected void` | `addSelfReference(FolderDefinition def)` Add a folder reference to ourselves, to aid in folder tree map management and FRQ-style searches
`boolean` | `checkExistenceOfPublicObjectByPath(java.lang.String path)` Check for existence of an object at the specified path.
`protected void` | `closeItems()` Close an opened folder.
`protected static S_Folder[]` | `constructFolderArray(S_LibrarySession sess, java.lang.Long[] ids)` Construct a Folder array from an array of object IDs.
`java.io.Serializable` | `DYNPromote(java.io.Serializable payload)` Promote this folder to a specified level in the folder index service.
`protected void` | `extendedPostAddItem(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition sdef, S_Relationship rel)` An extensibility point after an item is added to a folder.
`protected void` | `extendedPostFree(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be performed after freeing an object.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` operations to be performed after creating an instance of S_Folder.
`protected void` | `extendedPostRemoveItem(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition sdef, S_Relationship relationship)` an extensibility point after an item is removed from a folder.
`protected void` | `extendedPreAddItem(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition sdef)` An extensibility point before an item is added to a folder.
`protected void` | `extendedPreDelete(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be preformed before deleting an instance of S_Folder.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition sdef)` operations to be performed before freeing an instance of S_Folder.
`protected void` | `extendedPreRemoveItem(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition sdef, S_Relationship relationship)` an extensibility point before an item is removed from a folder.
`protected void` | `extendedPreUndelete(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be preformed before undeleting an instance of S_Folder.
`S_PublicObject` | `findPublicObjectByPath(java.lang.String path)` Find item by Folder path.
`AuditFolderPath` | `getAuditFolderPath(java.lang.Long[] pathIds)` Find the AuditFolderPath that matches the specified path.
`protected long` | `getConsumedStorage()` Gets the sum of contentsizes of all the documents under this folder.
`long` | `getItemCount(java.lang.String folderRelClassname)` Get the number of items in the S_Folder.
`java.lang.Long[]` | `getItemIds(SortSpecification sort)` Get the IDs of all folders that contain this instance.
`java.lang.Long[]` | `getItemIds(SortSpecification sort, S_LibraryObjectDataSharedState state)` Get the IDs of all folders that contain this instance.
`S_PublicObject[]` | `getItems(SortSpecification sort)` Gets the PUBLICOBJECTs in this FOLDER.
`S_PublicObject[]` | `getItems(java.lang.String classname, SortSpecification sort)` Deprecated. use getItems(SortSpecification sort)
`java.lang.Long[]` | `getPathIds(java.lang.Long rootId)` Gets the path to the target folder, repsented as an array of IDs.
`java.util.Hashtable` | `getResolvedAuditObjectHistoryTable()` Gets the resolved set of operation types that represent the types that should be dispatched to the object's audit history.
`long` | `getSubfolderCount(java.lang.String folderRelClassname)` Get the number of sub folders in the S_Folder.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`boolean` | `hasSubFolders()` Returns true if the current folder has subfolders.
`protected S_LibraryObjectData` | `nextItem()` Get the next item in an opened folder.
`protected S_LibraryObjectCursor` | `openItems(SortSpecification sort)` Open a cursor (ResultSet) on this folder.
`protected void` | `propagateFreeIfNoFolderReferences(S_LibraryObjectDefinition sdef)` Propagate the freeIfNoFolderReferences operation.
`void` | `removeItem(S_PublicObject ro, S_LibraryObjectDefinition def)` Remove an item from a Folder.
`protected void` | `removeReference(S_PublicObject ro)` Remove a reference to an object from this folder.
`protected void` | `removeReference(S_PublicObject ro, S_LibraryObjectDefinition def)` Remove a reference to a Folder.
`protected java.util.Vector` | `selectItemDatas(SortSpecification sort)` Select all item data, performed in admin discover mode.
`protected java.util.Vector` | `selectItems(SortSpecification sort)` Gets the items in a folder as a bulk operation.
`protected static S_Folder[]` | `vectorToSFolderArray(S_LibrarySession sess, java.util.Vector vector)` Converts a Vector of S_LOData to a S_Folder[].
`protected void` | `verifyCanAddItem()` Verifies that Items can be added to the instance.
`protected void` | `verifyCanRemoveItem()` Verifies that Items can be removed from the instance.
`protected void` | `verifyNoItemsInFolder()` verifyNoItemsInFolder() - verify that the target folder is empty; otherwise, throw an exception.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, cascadeDelete, cascadeFree, cascadeUndelete, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, deriveDefinition, determineResolvedObject, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostUndelete, extendedPostUpdate, extendedPreCopy, extendedPreInsert, extendedPreUpdate, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleCascade, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanFree, verifyCanLock, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUpdate, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `S_Folder`
  the classname of this serverside object: FOLDER

  See Also:
    Constant Field Values
  (Unpublished)

### m_Cursor

    protected S_LibraryObjectCursor m_Cursor

  Description copied from class: `S_Folder`
  The opened cursor

  (Unpublished)

Constructor Detail

### S_Folder

    protected S_Folder(S_LibrarySession session,
                       S_LibraryObjectData data)
                throws IfsException

  Construct a S_Folder object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException`
  (Unpublished)

### S_Folder

    protected S_Folder(S_LibrarySession session,
                       java.lang.Long classId)
                throws IfsException

  Construct a S_Folder object. This variant is used for objects taht have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `S_Folder`
  Handles the specified event.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Overrides:
    `handleEvent` in class `S_LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails
  (Published)

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_Folder`
  operations to be performed after creating an instance of S_Folder. This is overridden by classes that need to perform operations after successfully creating the rows for the new instance.

  Overrides:
    `extendedPostInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `sdef` - object definition
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition sdef)
                            throws IfsException

  Description copied from class: `S_Folder`
  operations to be performed before freeing an instance of S_Folder. This is overridden by classes that need to perform operations before successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `sdef` - object definition
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPostFree

    protected void extendedPostFree(OperationState opState,
                                    S_LibraryObjectDefinition sdef)
                             throws IfsException

  Description copied from class: `S_Folder`
  Operations to be performed after freeing an object. This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance. For S_Folder, inform the FolderIndexService of our freeing.

  Overrides:
    `extendedPostFree` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `sdef` - current object definition
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### extendedPreDelete

    protected void extendedPreDelete(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_Folder`
  Operations to be preformed before deleting an instance of S_Folder.

  Overrides:
    `extendedPreDelete` in class `S_PublicObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition used for the operation
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### extendedPreUndelete

    protected void extendedPreUndelete(OperationState opState,
                                       S_LibraryObjectDefinition sdef)
                                throws IfsException

  Description copied from class: `S_Folder`
  Operations to be preformed before undeleting an instance of S_Folder.

  Overrides:
    `extendedPreUndelete` in class `S_PublicObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition used for the operation
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### extendedPreAddItem

    protected void extendedPreAddItem(OperationState opState,
                                      S_PublicObject rightpo,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_Folder`
  An extensibility point before an item is added to a folder.

  Parameters:
    `opState` - the operation state
    `rightpo` - the item being added to the folder
    `sdef` - the LibraryObjectDefinition that contains the settings for the new instance.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### extendedPostAddItem

    protected void extendedPostAddItem(OperationState opState,
                                       S_PublicObject rightpo,
                                       S_LibraryObjectDefinition sdef,
                                       S_Relationship rel)
                                throws IfsException

  Description copied from class: `S_Folder`
  An extensibility point after an item is added to a folder.

  Parameters:
    `opState` - the operation state
    `rightpo` - the item being added to the folder
    `sdef` - the LibraryObjectDefinition that contains the settings for the new instance.
    `rel` - the relationship just created
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### extendedPreRemoveItem

    protected void extendedPreRemoveItem(OperationState opState,
                                         S_PublicObject rightpo,
                                         S_LibraryObjectDefinition sdef,
                                         S_Relationship relationship)
                                  throws IfsException

  Description copied from class: `S_Folder`
  an extensibility point before an item is removed from a folder.

  Parameters:
    `opState` - the operation state
    `rightpo` - the item being added to the folder
    `sdef` - the LibraryObjectDefinition that contains the settings for the new instance.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### extendedPostRemoveItem

    protected void extendedPostRemoveItem(OperationState opState,
                                          S_PublicObject rightpo,
                                          S_LibraryObjectDefinition sdef,
                                          S_Relationship relationship)
                                   throws IfsException

  Description copied from class: `S_Folder`
  an extensibility point after an item is removed from a folder.

  Parameters:
    `opState` - the operation state
    `rightpo` - the item removed from the folder
    `sdef` - the LibraryObjectDefinition for this operation
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### addSelfReference

    protected void addSelfReference(FolderDefinition def)
                             throws IfsException

  Description copied from class: `S_Folder`
  Add a folder reference to ourselves, to aid in folder tree map management and FRQ-style searches

  Parameters:
    `def` - the definition used to create the folder
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### verifyNoItemsInFolder

    protected void verifyNoItemsInFolder()
                                  throws IfsException

  Description copied from class: `S_Folder`
  verifyNoItemsInFolder() - verify that the target folder is empty; otherwise, throw an exception.

  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getItemCount

    public long getItemCount(java.lang.String folderRelClassname)
                      throws IfsException

  Description copied from class: `S_Folder`
  Get the number of items in the S_Folder.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSubfolderCount

    public long getSubfolderCount(java.lang.String folderRelClassname)
                           throws IfsException

  Description copied from class: `S_Folder`
  Get the number of sub folders in the S_Folder.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectItems

    protected java.util.Vector selectItems(SortSpecification sort)
                                    throws IfsException

  Description copied from class: `S_Folder`
  Gets the items in a folder as a bulk operation.

  Parameters:
    `sort` - the sort specification for the items retrieved
  Returns:
    Vector of S_LibraryObjectData
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getItems

    public S_PublicObject[] getItems(java.lang.String classname,
                                     SortSpecification sort)
                              throws IfsException

  Deprecated. use getItems(SortSpecification sort)

  Description copied from class: `S_Folder`
  Gets the PUBLICOBJECTs in this FOLDER.

  Parameters:
    `classname` - the name of the folder relationship classobject
    `sort` - the desired sort order
  Returns:
    the PUBLICOBJECTs
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getItems

    public S_PublicObject[] getItems(SortSpecification sort)
                              throws IfsException

  Description copied from class: `S_Folder`
  Gets the PUBLICOBJECTs in this FOLDER.

  Parameters:
    `sort` - the desired sort order
  Returns:
    the PUBLICOBJECTs
  Throws:
    `IfsException` - if the operation fails
  (Published)

### hasSubFolders

    public boolean hasSubFolders()
                          throws IfsException

  Description copied from class: `S_Folder`
  Returns true if the current folder has subfolders.

  Returns:
    true if current folder has subfolders; false otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getItemIds

    public java.lang.Long[] getItemIds(SortSpecification sort)
                                throws IfsException

  Description copied from class: `S_Folder`
  Get the IDs of all folders that contain this instance.

  Parameters:
    `sort` - sort specification
  Returns:
    the array of IDs of the parent folders
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getItemIds

    public java.lang.Long[] getItemIds(SortSpecification sort,
                                       S_LibraryObjectDataSharedState state)
                                throws IfsException

  Description copied from class: `S_Folder`
  Get the IDs of all folders that contain this instance.

  Parameters:
    `sort` - sort specification
    `state` - shared state in which to look; if null new one will be created
  Returns:
    the array of IDs of the parent folders
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### selectItemDatas

    protected java.util.Vector selectItemDatas(SortSpecification sort)
                                        throws IfsException

  Description copied from class: `S_Folder`
  Select all item data, performed in admin discover mode.

  Returns:
    the Vector of data corresponding to the set if items
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### openItems

    protected S_LibraryObjectCursor openItems(SortSpecification sort)
                                       throws IfsException

  Description copied from class: `S_Folder`
  Open a cursor (ResultSet) on this folder.

  Parameters:
    `sort` - the sort specification
  Returns:
    the cursor
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### nextItem

    protected S_LibraryObjectData nextItem()
                                    throws IfsException

  Description copied from class: `S_Folder`
  Get the next item in an opened folder.

  Returns:
    S_LibraryObjectData the next item
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### closeItems

    protected void closeItems()
                       throws IfsException

  Description copied from class: `S_Folder`
  Close an opened folder.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### addReference

    protected void addReference(S_PublicObject ro)
                         throws IfsException

  Description copied from class: `S_Folder`
  Add a reference to a Folder.

  Parameters:
    `ro` - object to be added.
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### addReference

    protected void addReference(S_PublicObject ro,
                                S_LibraryObjectDefinition rdef)
                         throws IfsException

  Description copied from class: `S_Folder`
  Add a reference to a Folder.

  Parameters:
    `ro` - object to be added.
    `rdef` - the object definition to be added to the Folder.
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### addItem

    public void addItem(S_PublicObject ro,
                        S_LibraryObjectDefinition rdef)
                 throws IfsException

  Description copied from class: `S_Folder`
  Add an item to a Folder.

  Parameters:
    `ro` - object to be added.
    `rdef` - the object definition to be added to the Folder.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### removeReference

    protected void removeReference(S_PublicObject ro)
                            throws IfsException

  Description copied from class: `S_Folder`
  Remove a reference to an object from this folder.

  Parameters:
    `ro` - the object to remove
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### removeReference

    protected void removeReference(S_PublicObject ro,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_Folder`
  Remove a reference to a Folder.

  Parameters:
    `ro` - The object to remove.
    `def` - Any options that describe the remove semantics.
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### removeItem

    public void removeItem(S_PublicObject ro,
                           S_LibraryObjectDefinition def)
                    throws IfsException

  Description copied from class: `S_Folder`
  Remove an item from a Folder.

  Parameters:
    `ro` - The object to remove.
    `def` - Any options that describe the remove semantics.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### propagateFreeIfNoFolderReferences

    protected void propagateFreeIfNoFolderReferences(S_LibraryObjectDefinition sdef)
                                              throws IfsException

  Description copied from class: `S_Folder`
  Propagate the freeIfNoFolderReferences operation. This is overridden by classes (e.g. S_Folder) to propagate the operations described in freeIfNoFolderReferences().

  Overrides:
    `propagateFreeIfNoFolderReferences` in class `S_PublicObject`
  Parameters:
    `sdef` - A definition instance that contains the options for determining whether or not to free this instance.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### findPublicObjectByPath

    public S_PublicObject findPublicObjectByPath(java.lang.String path)
                                          throws IfsException

  Description copied from class: `S_Folder`
  Find item by Folder path.

  Parameters:
    `path` - the folder path to the desired object.
  Returns:
    the desired object.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### checkExistenceOfPublicObjectByPath

    public boolean checkExistenceOfPublicObjectByPath(java.lang.String path)
                                               throws IfsException

  Description copied from class: `S_Folder`
  Check for existence of an object at the specified path.

  Parameters:
    `path` - the folder path to the desired object.
  Returns:
    true if an object exists
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getConsumedStorage

    protected long getConsumedStorage()
                               throws IfsException

  Description copied from class: `S_Folder`
  Gets the sum of contentsizes of all the documents under this folder.

  Overrides:
    `getConsumedStorage` in class `S_PublicObject`
  Returns:
    storage consumed by content associated with this folder or sub folders.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanAddItem

    protected void verifyCanAddItem()
                             throws IfsException

  Description copied from class: `S_Folder`
  Verifies that Items can be added to the instance. This requires that the user has AddItem Access on the object's acl.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanRemoveItem

    protected void verifyCanRemoveItem()
                                throws IfsException

  Description copied from class: `S_Folder`
  Verifies that Items can be removed from the instance. This requires that the user has RemoveItem Access on the object's acl.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToSFolderArray

    protected static S_Folder[] vectorToSFolderArray(S_LibrarySession sess,
                                                     java.util.Vector vector)
                                              throws IfsException

  Description copied from class: `S_Folder`
  Converts a Vector of S_LOData to a S_Folder[].

  Parameters:
    `sess` - the current LibrarySession
    `vector` - of S_LOData
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### DYNPromote

    public java.io.Serializable DYNPromote(java.io.Serializable payload)
                                    throws IfsException

  Description copied from class: `S_Folder`
  Promote this folder to a specified level in the folder index service.

  Parameters:
    `payload` - the new level (an Integer)
  Returns:
    null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructFolderArray

    protected static S_Folder[] constructFolderArray(S_LibrarySession sess,
                                                     java.lang.Long[] ids)
                                              throws IfsException

  Description copied from class: `S_Folder`
  Construct a Folder array from an array of object IDs.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of Folders
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getResolvedAuditObjectHistoryTable

    public java.util.Hashtable getResolvedAuditObjectHistoryTable()
                                                           throws IfsException

  Description copied from class: `S_Folder`
  Gets the resolved set of operation types that represent the types that should be dispatched to the object's audit history.

  The Hashtable is keyed by operation type (the Integer), and has a value of Boolean, indicating whether or not failures should also be audited.

  Returns:
    the table holding the resolved audit info
  Throws:
    `IfsException` - if the operation fails

### getPathIds

    public java.lang.Long[] getPathIds(java.lang.Long rootId)
                                throws IfsException

  Description copied from class: `S_Folder`
  Gets the path to the target folder, repsented as an array of IDs.

  The IDs are sorted so that the first element contains the target folder's ID, and the last is the folder directly below the "root folder" ID specified.

  Parameters:
    `rootId` - the reference "root" folder
  Returns:
    the path, represented as an array of folder IDs
  Throws:
    `IfsException` - if the operation fails

### getAuditFolderPath

    public AuditFolderPath getAuditFolderPath(java.lang.Long[] pathIds)
                                       throws IfsException

  Description copied from class: `S_Folder`
  Find the AuditFolderPath that matches the specified path.

  Parameters:
    `pathIds` - the path, represented as an array of folder IDs
  Returns:
    the AuditFolderPath the exists in the database that matches the path for this folder
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD